This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 100745 - Timestamps not preserved when importing file system
Timestamps not preserved when importing file system
Status: NEW
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 17:49 EDT by Jeremy Handcock
Modified: 2012-05-07 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Handcock 2003-07-24 17:49:23 EDT
Description of problem:
Eclipse doesn't preserve the timestamps when importing files into the workspace
from the filesystem.  This could be problematic for tools that rely on
timestamps (ie. make).

Version-Release number of selected component (if applicable):
eclipse 2.1

How reproducible:
Always

Steps to Reproduce:
1. Create new C/C++ project (New->Project->C Project->blah blah blah) to import
files into
2. File->import->file system
3. Select some files and import them

Actual Results:  Files are timestamped with the time of import.

Expected Results:  The timestamps of the original files should be preserved upon
import.

Additional info:

See eclipse.org bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=25387 (a
proposed patch is currently available)

Related to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=76087
Comment 1 Rick Moseley 2004-11-29 16:10:40 EST
Recent changes have been made to the PDE to support this feature.  These methods
have been added:

IResource.getResourceAttributes(); 
IResource.setResourceAttributes(ResourceAttributes); 

See comments posted to the eclipse.org link above by Tod Creasey and Douglas
Pollack on 10/29/2004.  From the comments, work is proceeding now that these
methods are in place.

Note You need to log in before you can comment on or make changes to this bug.